<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <form
    [formGroup]="productForm"
    (ngSubmit)="onSubmit()"
    enctype="multipart/form-data"
  >
    <ion-list lines="full" class="ion-no-margin ion-no-padding">
      <ng-container *ngFor="let field of settings.fields; let i = index">
        <ion-item *ngIf="field.show">
          <ion-label
            [position]="field.position"
            [textContent]="field.label"
            *ngIf="field.type !== 'file'"
          ></ion-label>

          <ion-input
            *ngIf="field.type === 'number'"
            [min]="field.min"
            [max]="field.max"
            [type]="field.type"
            [formControlName]="field.formControlName"
          ></ion-input>

          <ion-input
            *ngIf="field.type === 'text'"
            [type]="field.type"
            [formControlName]="field.formControlName"
          ></ion-input>

          <ion-input
            *ngIf="field.type === 'file'"
            accept="png,jpg"
            [type]="field.type"
            [formControlName]="field.formControlName"
            (change)="handleFileInput($event.target.files, field.formControlName)"
          ></ion-input>

          <ion-textarea
            *ngIf="field.type === 'textarea'"
            [formControlName]="field.formControlName"
            rows="2"
          ></ion-textarea>

          <ion-select
            [formControlName]="field.formControlName"
            *ngIf="field.type === 'select'"
            interface="popover"
          >
            <ion-select-option
              *ngFor="let item of field.dropdown"
              [value]="item"
              [textContent]="item"
            ></ion-select-option>
          </ion-select>
        </ion-item>
      </ng-container>
    </ion-list>

    <div class="ion-padding">
      <ion-button expand="block" type="submit" class="ion-no-margin"
        >Submit</ion-button
      >
    </div>
  </form>
</ion-content>
